blfwk::DataSourceImager Class Reference

Converts a DataSource into a single binary buffer. More...

`#include <DataSourceImager.h>`

Inheritance diagram for blfwk::DataSourceImager:
[legend]
Collaboration diagram for blfwk::DataSourceImager:
[legend]

## Public Member Functions

| DataSourceImager ()
| Constructor.
void | reset ()
Setup
void | setBaseAddress (uint32_t address)
void | setFillPattern (uint8_t pattern)
Accessors
uint32_t | getBaseAddress ()
Operations
void | addDataSource (DataSource *source)
| Adds all of the segments of which dataSource is composed. More...
void | addDataSegment (DataSource::Segment *segment)
| Adds the data from one data segment. More...
Public Member Functions inherited from Blob
| Blob ()
| Default constructor.
| Blob (const uint8_t *data, unsigned length)
| Constructor. More...
| Blob (const Blob &other)
| Copy constructor. More...
virtual | ~Blob ()
| Destructor. More...
| Blob ()
| Default constructor.
| Blob (const uint8_t *data, unsigned length)
| Constructor.
| Blob (const Blob &other)
| Copy constructor.
virtual | ~Blob ()
| Destructor.
void | setData (const uint8_t *data, unsigned length)
| Replaces the blob's data. More...
void | setLength (unsigned length)
| Change the size of the blob's data. More...
void | append (const uint8_t *newData, unsigned newDataLength)
| Adds data to the end of the blob.
void | clear ()
| Disposes of the data.
void | relinquish ()
| Tell the blob that it no longer owns its data.
void | setData (const uint8_t *data, unsigned length)
| Replaces the blob's data.
void | setLength (unsigned length)
| Change the size of the blob's data.
void | append (const uint8_t *newData, unsigned newDataLength)
| Adds data to the end of the blob.
void | clear ()
| Disposes of the data.
void | relinquish ()
| Tell the blob that it no longer owns its data.
uint8_t * | getData ()
const uint8_t * | getData () const
unsigned | getLength () const
uint8_t * | getData ()
const uint8_t * | getData () const
unsigned | getLength () const
| operator uint8_t * ()
| operator const uint8_t * () const
| operator uint8_t * ()
| operator const uint8_t * () const

## Protected Attributes

uint8_t | m_fill
uint32_t | m_baseAddress
bool | m_isBaseAddressSet
Protected Attributes inherited from Blob
uint8_t * | m_data
| The binary data held by this object.
unsigned | m_length
| Number of bytes pointed to by m_data.

## Detailed Description

Converts a DataSource into a single binary buffer.

## Member Function Documentation

void DataSourceImager::addDataSegment | ( | DataSource::Segment * | segment | ) |

Adds the data from one data segment.

Parameters

  segment | The segment to add. May be any type of data segment, including a pattern segment.

void DataSourceImager::addDataSource | ( | DataSource * | source | ) |

Adds all of the segments of which dataSource is composed.

Parameters

  dataSource | Pointer to an instance of a concrete data source subclass.

The documentation for this class was generated from the following files:

- src/blfwk/DataSourceImager.h
- src/blfwk/src/DataSourceImager.cpp